[project]
name = "project1"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
    "ipykernel>=6.30.1",
    "matplotlib>=3.10.6",
    "mypy>=1.17.1",
    "numpy>=2.3.2",
    "pandas>=2.3.2",
    "scikit-learn>=1.7.1",
    "scipy>=1.16.1",
]

[tool.mypy]
mypy_path = "src"